diff -aruN --binary 21/administrator/components/com_trash/admin.trash.php 22/administrator/components/com_trash/admin.trash.php
--- 21/administrator/components/com_trash/admin.trash.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_trash/admin.trash.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: admin.trash.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: admin.trash.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Trash
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -100,6 +100,10 @@
 		$filter_order = 'sectname';
 	}
 
+	if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+		$filter_order_Dir = '';
+	}
+
 	$orderby = ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', s.name, cc.name, c.title';
 
 	// get the total number of content
@@ -177,6 +181,10 @@
 		$filter_order = 'm.menutype';
 	}
 
+	if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+		$filter_order_Dir = '';
+	}
+
 	$orderby 	= ' ORDER BY '. $filter_order . ' ' . $filter_order_Dir .', m.menutype, m.ordering, m.ordering,  m.name';
 
 	$query = 'SELECT count(*)'
@@ -410,4 +418,4 @@
 	}
 
 	return $row;
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_users/views/users/view.html.php 22/administrator/components/com_users/views/users/view.html.php
--- 21/administrator/components/com_users/views/users/view.html.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_users/views/users/view.html.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: view.html.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: view.html.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Users
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -93,10 +93,14 @@
 		}
 
 		// ensure filter_order has a valid value.
-		if (!in_array($filter_order, array('a.name', 'a.username', 'a.block', 'groupname', 'a.email', 'a.lastvisitdate', 'a.id'))) {
+		if (!in_array($filter_order, array('a.name', 'a.username', 'a.block', 'groupname', 'a.email', 'a.lastvisitDate', 'a.id'))) {
 			$filter_order = 'a.name';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+			$filter_order_Dir = '';
+		}
+
 		$orderby = ' ORDER BY '. $filter_order .' '. $filter_order_Dir;
 		$where = ( count( $where ) ? ' WHERE (' . implode( ') AND (', $where ) . ')' : '' );
 
@@ -170,4 +174,4 @@
 
 		parent::display($tpl);
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_weblinks/models/weblinks.php 22/administrator/components/com_weblinks/models/weblinks.php
--- 21/administrator/components/com_weblinks/models/weblinks.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_weblinks/models/weblinks.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: weblinks.php 18162 2010-07-16 07:00:47Z ian $
+ * @version		$Id: weblinks.php 19343 2010-11-03 18:12:02Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -152,6 +152,10 @@
 			$filter_order = 'a.ordering';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+			$filter_order_Dir = '';
+		}
+
 		if ($filter_order == 'a.ordering'){
 			$orderby 	= ' ORDER BY category, a.ordering '.$filter_order_Dir;
 		} else {
diff -aruN --binary 21/administrator/components/com_weblinks/views/weblinks/view.html.php 22/administrator/components/com_weblinks/views/weblinks/view.html.php
--- 21/administrator/components/com_weblinks/views/weblinks/view.html.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_weblinks/views/weblinks/view.html.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: view.html.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: view.html.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Weblinks
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -49,6 +49,10 @@
 			$filter_order = 'a.ordering';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+			$filter_order_Dir = '';
+		}
+
 		// Get data from the model
 		$items		= & $this->get( 'Data');
 		$total		= & $this->get( 'Total');
@@ -75,4 +79,4 @@
 
 		parent::display($tpl);
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
